<?php
/**
 * Code4rest\Restrict_Content_Pro\Component class
 *
 * @package code4rest
 */

namespace Code4rest\Restrict_Content_Pro;

use Code4rest\Component_Interface;
use function Code4rest\code4rest;
use function add_action;
use function have_posts;
use function the_post;
use function apply_filters;
use function get_template_part;
use function get_post_type;


/**
 * Class for adding Restrict Content Pro plugin support.
 */
class Component implements Component_Interface {

	/**
	 * Gets the unique identifier for the theme component.
	 *
	 * @return string Component slug.
	 */
	public function get_slug() : string {
		return 'restrict_content_pro';
	}

	/**
	 * Adds the action and filter hooks to integrate with WordPress.
	 */
	public function initialize() {
		add_action( 'wp_enqueue_scripts', array( $this, 'add_styles' ), 60 );
	}
	/**
	 * Add some css styles for Restrict Content Pro
	 */
	public function add_styles() {
		wp_enqueue_style( 'code4rest-rcp', get_theme_file_uri( '/assets/css/rcp.min.css' ), array(), CODE4REST_VERSION );
	}
}
